init

## Class RequestCallable

- java.lang.Object
- - init.RequestCallable

All Implemented Interfaces:
  java.util.concurrent.Callable<java.lang.Double>

    public class RequestCallable
    extends java.lang.Object
    implements java.util.concurrent.Callable<java.lang.Double>

The Class RequestCallable.

### Constructor Summary

Constructors
Constructor and Description
`RequestCallable(java.util.HashMap<java.lang.String,java.lang.Double> actions)` Instantiates a new request callable.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Double` `call()`
`void` `setAMOEBA(AMOEBA amoeba)` Sets the amoeba.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RequestCallable

    public RequestCallable(java.util.HashMap<java.lang.String,java.lang.Double> actions)

Instantiates a new request callable.

Parameters:
  `actions` - the actions

### Method Detail

#### setAMOEBA

    public void setAMOEBA(AMOEBA amoeba)

Sets the amoeba.

Parameters:
  `amoeba` - the new amoeba

#### call

    public java.lang.Double call()
                          throws java.lang.Exception

Specified by:
  `call` in interface `java.util.concurrent.Callable<java.lang.Double>`
Throws:
  `java.lang.Exception`